Skip to content
Navigation

Create entity and reference

POST
https://api.sureshake.com/v2/entities/{entityId}/references/create-entity

Path parameters

  • entityId
    string
    required
    format: uuid

Request body JSON required

  • referenceType
    credit
    or
    customer
    required
  • entityName
    string
    required
    maxLength: 100 · minLength: 2
  • relationshipStatus
    optional
    active
    or
    inactive
    or
    past
  • rating
    optional
    excellent
    or
    good
    or
    fair
    or
    poor
  • paymentTerms
    optional
    string
  • creditLimit
    optional
    number
  • relationshipSince
    optional
    string
  • notes
    optional
    string
  • contactName
    optional
    string
  • contactTitle
    optional
    string
  • contactEmail
    optional
    string
    format: email
  • contactPhone
    optional
    string
  • entityType
    optional
    company
    or
    corporation
    or
    fund
    or
    investor
    or
    asset
    or
    other

Returns

200

Default Response

JSON
  • success
    boolean
    required
  • entity
    object
    required
    • id
      string
      required
      format: uuid
    • name
      string
      required
    • slug
      string
      required
    • entityType
      string
      or null
      required

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close